# Ventilation configuration.
# Ventilation flow rates are in l/s.
# The Building regulations require a minimum whole house ventilation rate of
# 30l/s for 100m² floor area. According to my calculations, two people at rest
# need 22l/s, so 30l/s should be enough and hopefully achievable with the
# chimney and kitchen ventilator blocked off.
# I'm assuming that air comes into the house via the ground floor rooms, flows
# through the stairwell and landing to the bedrooms, and hence back to the
# outside.
# Total volume of the rooms is about 220m³. 30l/s is equivalent to 108m³/hour. So I am
# assuming about 0.5 air changes per hour.
# TODO: change 'totalflow' to be 30, and divide all 'rate' figures by 30.
ventilation:
  totalflow: 1.0
  flows:
    - from: outside
      to: Lounge
      rate: 8
    - from: outside
      to: DiningRoom
      rate: 5
    - from: outside
      to: Kitchen
      rate: 4
    - from: outside
      to: BackRoom
      rate: 5
    - from: outside
      to: Study
      rate: 3
    - from: outside
      to: Hall
      rate: 4
    - from: outside
      to: Bathroom
      rate: 1

    - from: DiningRoom
      to: Lounge
      rate: 5
    - from: Study
      to: Hall
      rate: 3

    - from: BackRoom
      to: InnerHall
      rate: 5
    - from: Bathroom
      to: InnerHall
      rate: 1

    - from: InnerHall
      to: Stairwell
      rate: 6
    - from: Hall
      to: Stairwell
      rate: 7
    - from: Lounge
      to: Stairwell
      rate: 13
    - from: Kitchen
      to: Stairwell
      rate: 4

    - from: Stairwell
      to: Landing
      rate: 30
    - from: Landing
      to: FrontBedroom
      rate: 10
    - from: Landing
      to: BackBedroom
      rate: 20

    - from: FrontBedroom
      to: outside
      rate: 10
    - from: BackBedroom
      to: outside
      rate: 12
    - from: BackBedroom
      to: Ensuite
      rate: 8
    - from: Ensuite
      to: outside
      rate: 8
